Subject: bug#47419: 27.1; Misleading profiler info

From: scame <[email-masked]>
Date: Sat, 27 Mar 2021 04:13:03 +0000

>
> You can speed it up significantly by tightening the regexp,
> e.g. replacing .+ with [\s\t]+. It's still not superfast because our
> regexp engine is not tuned for that kind of situation, but it's better.

Right, thanks. I would have tried tightening the regexp if the profiler had
told me that was the problem, but as you write it incorrectly attributed
the slowness to the save-exursion call which put me on the wrong track
thinking it was some internal emacs bug.